Bug 1666489 (CVE-2018-19362)

Summary: CVE-2018-19362 jackson-databind: improper polymorphic deserialization in jboss-common-core class
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aboyko, ahardin, aos-bugs, asoldano, atangrin, bbaranow, bbuckingham, bcourt, bkearney, bleanhar, bmaxwell, bmcclain, bmontgom, brian.stansberry, cbillett, cbyrne, ccoleman, cdewolf, chazlett, cmacedo, csutherl, darran.lofthouse, dbecker, dblechte, dedgar, dfediuck, dffrench, dimitris, dkreling, dosoudil, drusso, eedri, eparis, hhorak, iweiss, jawilson, jburrell, jcantril, jgoulding, jjoyce, jmadigan, jochrist, jokerman, jorton, jperkins, jschluet, jshepherd, jwon, kbasil, krathod, kwills, lgao, lhh, loleary, lpeer, mburns, mchappel, mgoldboi, michal.skrivanek, mkolesni, mmccune, mrike, msochure, msvehla, myarboro, ngough, nstielau, nwallace, ohadlevy, pgier, pjindal, pmackay, psakar, pslavice, psotirop, pwright, rchan, rguimara, rhcs-maint, rjerrido, rnetuka, rstancel, rsvoboda, sbonazzo, sclewis, sherold, slinaber, smaestri, spinder, sponnaga, theute, tomckay, tom.jenkinson, trepel, twalsh, vtunka, yturgema
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jackson-databind 2.9.8, jackson-databind 2.7.9.5, jackson-databind 2.8.11.3 Doc Type: If docs needed, set a value
Doc Text:
A flaw was discovered in jackson-databind, where it would permit polymorphic deserialization of a malicious object using the jboss-common-core class. An attacker could use this flaw to execute arbitrary code.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:45:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1666490, 1672879, 1672880, 1672881, 1700942, 1700943, 1700970, 1700971, 1730588, 1731780, 1731787, 1731789, 1731790, 1731792, 1732286, 1732291, 1732539    
Bug Blocks: 1666431    

Description Laura Pardo 2019-01-15 19:22:01 UTC
FasterXML jackson-databind 2.x before 2.9.8 fails to block the jboss-common-core class from polymorphic deserialization.


References:
https://github.com/FasterXML/jackson-databind/issues/2186
https://github.com/FasterXML/jackson/wiki/Jackson-Release-2.9.8

Upstream Patch:
https://github.com/FasterXML/jackson-databind/commit/42912cac4753f3f718ece875e4d486f8264c2f2b

Comment 1 Laura Pardo 2019-01-15 19:22:12 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1666490]

Comment 10 Doran Moppert 2019-02-08 05:33:45 UTC
Statement:

Red Hat Satellite 6 is not affected by this issue, since its candlepin component doesn't bundle jboss-common-core jar.

Red Hat Virtualization 4 is not affected by this issue, since its candlepin component doesn't bundle jboss-common-core jar.

Comment 11 James Hebden 2019-02-14 07:19:56 UTC
Marking ODL notaffected as even though we ship the vulnerable library, update of the library is being handled by other other flaws (1666423 for example), and in the context of this specific flaw, the requisite jboss libraries are not shipped.

Comment 23 errata-xmlrpc 2019-04-17 21:01:13 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:0782 https://access.redhat.com/errata/RHSA-2019:0782

Comment 24 errata-xmlrpc 2019-04-24 18:47:00 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2019:0877 https://access.redhat.com/errata/RHSA-2019:0877

Comment 27 errata-xmlrpc 2019-07-15 19:18:49 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.4.12

Via RHSA-2019:1782 https://access.redhat.com/errata/RHSA-2019:1782

Comment 28 errata-xmlrpc 2019-07-16 16:21:54 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1797 https://access.redhat.com/errata/RHSA-2019:1797

Comment 35 errata-xmlrpc 2019-07-22 14:53:38 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1823 https://access.redhat.com/errata/RHSA-2019:1823

Comment 36 errata-xmlrpc 2019-07-22 14:54:05 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2019:1822 https://access.redhat.com/errata/RHSA-2019:1822

Comment 39 errata-xmlrpc 2019-09-17 13:45:44 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 6.3

Via RHSA-2019:2804 https://access.redhat.com/errata/RHSA-2019:2804

Comment 42 errata-xmlrpc 2019-09-27 00:14:11 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:2858 https://access.redhat.com/errata/RHSA-2019:2858

Comment 43 errata-xmlrpc 2019-10-10 12:49:51 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R13

Via RHSA-2019:3002 https://access.redhat.com/errata/RHSA-2019:3002

Comment 44 errata-xmlrpc 2019-10-17 14:55:04 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.4.8

Via RHSA-2019:3140 https://access.redhat.com/errata/RHSA-2019:3140

Comment 45 errata-xmlrpc 2019-10-18 19:52:56 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:3149 https://access.redhat.com/errata/RHSA-2019:3149

Comment 46 errata-xmlrpc 2019-11-14 21:18:20 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.5.0

Via RHSA-2019:3892 https://access.redhat.com/errata/RHSA-2019:3892

Comment 48 errata-xmlrpc 2019-12-02 16:24:44 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid

Via RHSA-2019:4037 https://access.redhat.com/errata/RHSA-2019:4037

Comment 49 errata-xmlrpc 2020-06-15 16:19:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:2564 https://access.redhat.com/errata/RHSA-2020:2564